Connect Stagraph to R

Saturday, February 4, 2017 | Milos Gregor

In Stagraph is used 32-bit R runtime in version 3.3.2. Is it possible to use newer (future) version? With higher version of ggplot2 package? How to connect Stagraph with externally installed R runtime?

If you download Stagraph as the Full Edition (137 MB), you obtain also R runtime installation. This R runtime is 32-bit and in version 3.3.2. In addition, the installation file already includes pre-installed ggplot2 package in version 2.2.1. The goal is simple installation, after which it is possible to use Stagraph immediately.

In time, higher R will be released, as well as ggplot2 package. Similarly, if you have a 64-bit computer, you may want to use the 64-bit version of R runtime. If you installed Stagraph in Basic Edition (5 MB), R runtime is not included and must be installed in your computer separately. R runtime can be downloaded from r-project.org. Direct link for download is also in the main application menu.

Consequently, after R installation, it is necessary to connect R with Stagraph. This connection is very simple. See the following video.

If Stagraph is linked to R, connection will be activated after application restart. If you use an external R installation, for correct running and full functionality it is necessary also to install extra libraries (e.g. ggplot2, ggmap, maps, …). This process you can start automatically by clicking on Main Menu – R Engine – Install Required R Packages. More about this can be found here.







Stay informed on the latest news via our newsletter.